Skip to content

Get tournaments ​

GET
/v1/tournaments

Gets a list with tournaments.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
region

iso country. For F1/Moto use "world"

Type
string
Example"WORLD"
date_start

Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01

Example"2026-12-01"
date_stop

Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01

Example"2026-12-31"
sport_type

Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing, music. Operators, e.g. eq:soccer, ne:soccer, in:[soccer,music], not_in:[soccer,music]

Example"formula1"
tournament_type

Enum: cup, league, oneoff. Operators, e.g. eq:cup, ne:cup, in:[cup,oneoff], not_in:[cup,oneoff]

Example"league"
tournament_name

tournament name

Type
string
Example"Formula 1"
query

flexible search query for tournament names

Type
string
Example"Premier League"
season

Season, for example 2026 or 25/26 depending on sport type

Type
string
Example"2026"
tournament_id

Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_trn, ne:2c2a9dc47e794e0ba88a6917e2b9047b_trn, in:[2c2a9dc47e794e0ba88a6917e2b9047b_trn,7d881550d5ba4cb2b3faca11a9b1695d_trn], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_trn,7d881550d5ba4cb2b3faca11a9b1695d_trn]

Example"8a8bd5e3d98347e68cbe50d31953fcbb_trn"

Responses​

OK

application/json
JSON
{
  
"tournaments": [
  
  
{
  
  
  
"tournament_id": "8a8bd5e3d98347e68cbe50d31953fcbb_trn",
  
  
  
"official_name": "Formula 1",
  
  
  
"season": "2026",
  
  
  
"tournament_type": "league",
  
  
  
"region": "WORLD",
  
  
  
"sport_type": "formula1",
  
  
  
"date_start": "2026-12-01T00:00:00",
  
  
  
"date_stop": "2026-12-31T00:00:00",
  
  
  
"created": "2026-12-01T07:08:25",
  
  
  
"updated": "2026-12-01T00:30:31",
  
  
  
"slug": "formula-1-2026",
  
  
  
"number_events": 0,
  
  
  
"ranking": 10,
  
  
  
"series_id": "5f1c2d3e4a5b46c7a8b9c0d1e2f3a4b5_srs"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​